PROJECTNAME=interaction
LIBS=$(notdir $(wildcard libs/*))

PDFS=$(addsuffix .pdf, $(PROJECTNAME))
SOURCES=$(addsuffix .tikz.tex, $(PROJECTNAME))

all: $(PDFS)

$(PDFS): $(SOURCES) $(LIBS)
	echo $(LIBS)
	pdflatex -jobname $(basename $@) -file-line-error $(patsubst %.pdf, %.tikz.tex, $@)

$(SOURCES):
	python3 dimer_conf.py

$(LIBS):
	ln -fs libs/$@ ./

clean-libs:
	rm -f $(LIBS)

clean-aux:
	rm -f $(addsuffix .aux, $(PROJECTNAME))
	rm -f $(addsuffix .log, $(PROJECTNAME))

clean-tex:
	rm -f $(PDFS)

clean-sources:
	rm -f $(SOURCES)

clean: clean-libs clean-aux clean-tex clean-sources
